Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have this at the end of my /etc/apt/sources.list to retrieve Oracle code:

deb http://oss.oracle.com/debian unstable main non-free

When I run sudo apt-get update, the app gets stuck displaying this message:

100% [Waiting for headers]

If I remove this, apt-get update runs without error.

Is there a new, recommended URL for Oracle products and, generally, how do you fix this problem?

I am pretty sure this did not happen on 11.10 and has only started with the move to 12.04.

I have seen these answers and they do not help:

share|improve this question

2 Answers 2

up vote 4 down vote accepted

This a problem with the repository, and not 12.04. I observe this problem on both:

  • 11.10 (snipped):

    Hit http://security.ubuntu.com oneiric-security/multiverse Translation-en
    Hit http://security.ubuntu.com oneiric-security/restricted Translation-en
    Get:63 http://security.ubuntu.com oneiric-security/universe Translation-en [29.9 kB]
    99% [Waiting for headers]
    
  • 12.04 (snipped):

    Ign http://archive.canonical.com precise/partner Translation-en_US   
    Ign http://extras.ubuntu.com precise/main Translation-en
    Ign http://archive.canonical.com precise/partner Translation-en
    98% [Waiting for headers]     
    

Please remove that repository, it seems to contain a handful of packages last updated in 2007 at any rate.

share|improve this answer
1  
I added that repository because I want the Oracle tools associated. If I remove the repo, then I don't get the tools (like Oracle XE). I'm looking for a solution that gives me the Oracle tools and leaves apt-get unbroken. –  hughdbrown Jul 1 '12 at 15:57

What I think is causing the problem:
The problem is that oss.oracle.com enforces use of HTTPS which is a good thing. The bad thing about it is that the certificate that is being used isn't considered trusted (either because it's expired or is self signed etc).

Proposed solution:
If I knew how to make apt accept all HTTPS certifiates, I'd post that here as a solution (but I'm still search myself for info on how to do this).

After some digging:
I did find out how to make APT not verify certificates: Acquire:https::Verify-Peer false; but that didn't help.

The workaround:
Regardless, I downloaded the deb files manually and installed them. It's an old version of Oracle Express and I can't get it to run on a virtual Debian Squeeze machine. I'm giving up on trying to use this deb archive.

share|improve this answer
    
I did find out how to make APT not verify certificates: Acquire:https::Verify-Peer false; but that didn't help. –  Fredrik Wendt Aug 10 '12 at 15:54
    
Regardless, I downloaded the deb files manually and installed them. It's an old version of Oracle Express and I can't get it to run on a virtual Debian Squeeze machine. I'm giving up on trying to use this deb archive. –  Fredrik Wendt Aug 10 '12 at 16:16

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.